%To draw a bar graph for sensivity of emotions at classifier level
fig1 = figure;
          hold on;
           c = categorical({'anger' ,'sad','boredom', 'neutral' , 'happy' ,  'fear', 'disgust'});
          
           sens_LOSO_Perf = [ 0     1.8242   30.5935    0.6993  1.1688   7.0423     0];
           y = [sens_LOSO_Perf(:,1) ;
               sens_LOSO_Perf(:,2)  ;
               sens_LOSO_Perf(:,3)  ;
               sens_LOSO_Perf(:,4)  ;
               sens_LOSO_Perf(:,5)  ;
               sens_LOSO_Perf(:,6)  ;
               sens_LOSO_Perf(:,7)  ;]
           
           bar(c, y, 'LineWidth',0.05);
           h1 = xlabel('Emotion categories'); 
           h2 = ylabel('Decision-level emotion classification recall (%)');
           set(h1,'fontsize',12);
           set(h2,'fontsize',12);	
           set(gca, 'XTick',1:1:7,'XTickLabel',{'Anger','Sadness','Boredom', 'Neutral', 'Happy', 'Fear', 'Disgust'})		
%           %xlim([0 80]);
           ylim([0 100]);
           %legend('svm without thresholding fusion',  'svm with fusion having 64.3% rejection', 'Location','SouthEast');
           grid on;
            pause(0.5);




%To draw a bar graph for sensivity of emotions at classifier level
% fig1 = figure;
%           hold on;
%            c = categorical({'anger' ,'sad','disgust', 'neutral' , 'fear' ,  'happy', 'boredom'});
%           
%            sens_CL_Perf = [ 50 29.3 4.79 16.03 13.6 10.15 11.29 ];
%            y = [sens_CL_Perf(:,1) ;
%                sens_CL_Perf(:,2)  ;
%                sens_CL_Perf(:,3)  ;
%                sens_CL_Perf(:,4)  ;
%                sens_CL_Perf(:,5)  ;
%                sens_CL_Perf(:,6)  ;
%                sens_CL_Perf(:,7)  ;]
%            
%            bar(c, y, 'LineWidth',0.05);
%            h1 = xlabel('Emotion categories'); 
%            h2 = ylabel('Classifier-level emotion classification recall (%)');
%            set(h1,'fontsize',12);
%            set(h2,'fontsize',12);	
%            set(gca, 'XTick',1:1:7,'XTickLabel',{'Anger','Sadness','Disgust', 'Neutral', 'Fear', 'Happy', 'Boredom'})		
% %           %xlim([0 80]);
%            ylim([0 100]);
%            %legend('svm without thresholding fusion',  'svm with fusion having 64.3% rejection', 'Location','SouthEast');
%            grid on;
%            pause(0.5);

%To draw a graph of accuracy at classifier level
%     fig1 = figure;
%           hold on;
%            c = categorical({'anger' ,'sad','disgust', 'neutral' , 'fear' ,  'happy', 'boredom'});
%           
%            accu_CL_Perf = [ 85.9 92.02 91.8 87.38 88.64 87.17 86.34 ];
%            y = [accu_CL_Perf(:,1) ;
%                accu_CL_Perf(:,2)  ;
%                accu_CL_Perf(:,3)  ;
%                accu_CL_Perf(:,4)  ;
%                accu_CL_Perf(:,5)  ;
%                accu_CL_Perf(:,6)  ;
%                accu_CL_Perf(:,7)  ;]
%            
%            bar(c, y, 'LineWidth',0.05);
%            h1 = xlabel('Emotion categories'); 
%            h2 = ylabel('Classifier-level emotion classification accuracy (%)');
%            set(h1,'fontsize',12);
%            set(h2,'fontsize',12);	
%            set(gca, 'XTick',1:1:7,'XTickLabel',{'Anger','Sadness','Disgust', 'Neutral', 'Fear', 'Happy', 'Boredom'})		
% %           %xlim([0 80]);
%            ylim([0 100]);
%            %legend('svm without thresholding fusion',  'svm with fusion having 64.3% rejection', 'Location','SouthEast');
%            grid on;
          pause(0.5);       
           
           


% fig1 = figure;
%           hold on;
%            c = categorical({'anger' ,'sad','disgust', 'neutral' , 'fear' ,  'happy'});
%           %svm = [88.4768 86.8732 83.3913 90.0843 82.5218 78.2566];
%            svm_0 = [ 86.6165 88.1571 69.3452 83.4921 71.3910 79.5518];
%           % svm_35 = [98.5714 96.7857 81.9048 97.1429 84.7619 94.6429];
%            svm_45 = [98.2143 95.8333 82.1429 97.1429 88.0159 95.9184];
%           
%            
%            
% %            
% %                    y = [svm_0(:,1) ;
% %                         svm_0(:,2)  ;
% %                         svm_0(:,3)  ;
% %                         svm_0(:,4)  ;
% %                         svm_0(:,5)  ;
% %                         svm_0(:,6)  ;]
% 
%            
%            y = [svm_0(:,1) svm_45(:,1);
%                svm_0(:,2) svm_45(:,2) ;
%                svm_0(:,3) svm_45(:,3) ;
%                svm_0(:,4) svm_45(:,4) ;
%                svm_0(:,5) svm_45(:,5) ;
%                svm_0(:,6) svm_45(:,6) ;]
%            
%            bar(c, y, 'LineWidth',0.05);
%            h1 = xlabel('Emotion categories'); 
%            h2 = ylabel('Decision level emotion classification recall (%)');
%            set(h1,'fontsize',12);
%            set(h2,'fontsize',12);	
%            set(gca, 'XTick',1:1:6,'XTickLabel',{'Anger','Sadness','Disgust', 'Neutral', 'Fear', 'Happy'})		
% %           %xlim([0 80]);
%            ylim([0 100]);
%            legend('svm without thresholding fusion',  'svm with fusion having 64.3% rejection', 'Location','SouthEast');
%            grid on;

% fig1 = figure;
%           hold on;
%            c = categorical({'anger' ,'sad','disgust', 'neutral' , 'fear' , 'happy', 'boredom'});
%            svm_accuracy = [ 85.9 92.02 91.8 87.38 88.64 87.17 86.34];
%            svm_sensitivity = [50 29.3 4.79 16.03 13.6 10.15 11.29];
%            
%            y = [svm_accuracy(:,1) svm_sensitivity(:,1);
%                svm_accuracy(:,2) svm_sensitivity(:,2) ;
%                svm_accuracy(:,3) svm_sensitivity(:,3) ;
%                svm_accuracy(:,4) svm_sensitivity(:,4) ;
%                svm_accuracy(:,5) svm_sensitivity(:,5) ;
%                svm_accuracy(:,6) svm_sensitivity(:,6) ;
%                svm_accuracy(:,7) svm_sensitivity(:,7);]
%            
%            bar(c, y, 'LineWidth',0.05);
%            h1 = xlabel('Emotion categories'); 
%            h2 = ylabel('Classifier-level emotion classification accuracy and recall (%)');
%            set(h1,'fontsize',10);
%            set(h2,'fontsize',10);	
%            set(gca, 'XTick',1:1:7,'XTickLabel',{'Anger','Sadness','Disgust', 'Neutral', 'Fear', 'Happy', 'Boredom'})		
% %           %xlim([0 80]);
%            ylim([0 100]);
%            legend('accuracy',  'recall', 'Location','SouthEast');
%            grid on;
% 
% 
%            pause(0.5);