clc;
close all;
filename = "../Excels/Feature_RA_Clean_norm.xls";
data = xlsread(filename);
X =data(:,4:end);

xBound  = 20; % in meters
yBound  = 20; % in meters
zLowerBound = 0; % in meters


scatter(X(:,1),X(:,2),'.');
annotation('ellipse',[0.48 0.48 .1 .1],'Color','red');
minpts = 121;
kD = pdist2(X,X,'euc','Smallest',minpts);
plot(sort(kD(end,:)));
title('k-distance graph')
xlabel('Points sorted with 50th nearest distances')
ylabel('50th nearest distances')
grid
epsilon = 2;
labels = DBSCAN(X,epsilon,minpts);
gscatter(X(:,1),X(:,2),labels);
length(labels)
title('epsilon = 2 and minpts = 50')
grid
annotation('ellipse',[0.54 0.41 .07 .07],'Color','red')
annotation('ellipse',[0.53 0.85 .07 .07],'Color','blue')
annotation('ellipse',[0.39 0.85 .07 .07],'Color','black')