fig1 = figure;
          hold on;
           c = categorical({'anger' ,'sad','disgust', 'neutral' , 'fear' ,  'happy'});
           Naivebayes_0 = [82.0549 70.5686 71.9871 82.9634 76.4989 82.0549];
           %Naivebayes_35 = [82.2230 70.7494  72.7749 82.6677 76.5008 82.2230];
           svm_0 = [ 86.6165 88.1571 69.3452 83.4921 71.3910 79.5518];
           %svm_35 = [98.5714 96.7857 81.9048 97.1429 84.7619 94.6429];
           FFNN_0=[87.7129 79.4872 84.8323 92.4905 83.4549 87.7129];
           %FFNN_35=[87.1562 82.1741 86.3237 92.3424 85.8253 87.1562];
           knn_0 = [ 82.0647 73.1963 74.5805 81.9080 67.7588 82.0647];
           %knn_35=[81.5234 73.5557 75.7250 83.8798 68.9707 81.5234];
           y = [svm_0(:,1) FFNN_0(:,1)  Naivebayes_0(:,1)  knn_0(:,1);
               svm_0(:,2)  FFNN_0(:,2)  Naivebayes_0(:,2)  knn_0(:,2);
               svm_0(:,3)  FFNN_0(:,3)  Naivebayes_0(:,3)  knn_0(:,3);
               svm_0(:,4)  FFNN_0(:,4)  Naivebayes_0(:,4)  knn_0(:,4);
               svm_0(:,5)  FFNN_0(:,5)  Naivebayes_0(:,5)  knn_0(:,5);
               svm_0(:,6)  FFNN_0(:,6)  Naivebayes_0(:,6)  knn_0(:,6)];
           
           bar(c, y, 'LineWidth',0.5);
           h1 = xlabel('Emotion categories'); 
           h2 = ylabel('Decision level emotion classification recall (%)');
           set(h1,'fontsize',12);
           set(h2,'fontsize',12);	
           set(gca, 'XTick',1:1:6,'XTickLabel',{'Anger','Sadness','Disgust', 'Neutral', 'Fear', 'Happy'})		
%           %xlim([0 80]);
           ylim([0 100]);
           legend('SVM', 'FFNN', 'Naivebayes', 'KNN', 'Location','SouthEast');
           grid on;
           pause(0.5);